Page MenuHomePhabricator

Make libvirt provider work with a Jessie base image
Closed, ResolvedPublic

Event Timeline

bd808 created this task.Dec 29 2016, 7:19 PM
bd808 added a subscriber: scfc.Feb 1 2017, 4:40 AM

@scfc are you interested in taking this task on?

Legoktm renamed this task from Make libvert provider work with a Jessie base image to Make libvirt provider work with a Jessie base image.Feb 1 2017, 4:44 AM
scfc added a comment.Feb 1 2017, 4:53 AM

Is there anybody else using it (= potentially blocked by it) ATM? :-) I haven't worked on my Vagrant-related queue for a long time, but I should be able to test this week if anything is broken.

bd808 added a comment.Feb 1 2017, 4:58 AM

No rush at all. I'm getting ready to announce the Jessie branch for wider testing before making it the default.

Change 350253 had a related patch set uploaded (by Pmiazga):
[mediawiki/vagrant@master] Update libvirt image to Debian jessie

https://gerrit.wikimedia.org/r/350253

I managed to get Vagrant working but I have some problems with puppet.

==> default: Running provisioner: lsb_check...
==> default: Running provisioner: shell...
    default: Running: /tmp/vagrant-shell20170425-8329-1wmu5vv.sh
==> default: Running provisioner: puppet...
==> default: Running Puppet with site.pp...
==> default: Info: Loading facts
==> default: Error: invalid byte sequence in US-ASCII at /vagrant/puppet/modules/hhvm/manifests/init.pp:1 on node mediawiki-vagrant.dev
==> default: Wrapped exception:
==> default: invalid byte sequence in US-ASCII
==> default: Error: invalid byte sequence in US-ASCII at /vagrant/puppet/modules/hhvm/manifests/init.pp:1 on node mediawiki-vagrant.dev
The SSH command responded with a non-zero exit status. Vagrant
assumes that this means the command failed. The output for this command
should be in the log above. Please read the output to determine what
went wrong.

Setting locales didn't help and I have no idea whtat to do next. I'm bit busy with MobileFrontned now, I might get back to that task later

Change 399945 had a related patch set uploaded (by Hashar; owner: Hashar):
[mediawiki/vagrant@master] Restore libvirt support

https://gerrit.wikimedia.org/r/399945

hashar added a subscriber: hashar.Dec 22 2017, 9:30 PM

Eventually I was too lazy / not willing to install VirtualBox so I have followed @scfc step by step tutorial. Since base box and instructions were still referencing trusty-cloud, I just switched to the box debian/contrib-jessie64.

The box has been provisioned with https://gerrit.wikimedia.org/r/399945

hashar closed this task as Resolved.Dec 22 2017, 9:54 PM

Change 399945 merged by jenkins-bot:
[mediawiki/vagrant@master] Restore libvirt support

https://gerrit.wikimedia.org/r/399945

Change 350253 abandoned by Pmiazga:
Update libvirt image to Debian jessie

https://gerrit.wikimedia.org/r/350253